<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006-2007 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

$locale['PDP000'] = "Profesjonalny System Pobierania";
$locale['PDP001'] = "Upload/Download";
$locale['PDP002'] = "Nazwa";
$locale['pdp_new'] = 'Nowe pliki';
$locale['pdp_downloads'] = 'Plików';
$locale['PDP003'] = "Pliki";
$locale['PDP004'] = "Pobrano razy";
$locale['PDP005'] = "Opcje";
$locale['pdp_view'] = 'Pokaż';
$locale['pdp_edit'] = 'Edytuj';
$locale['pdp_edit_entry']	= 'Edytuj wpis';
$locale['PDP008'] = 'Naprawdę usunąć?';
$locale['pdp_delete'] = 'Usuń';
$locale['pdp_nodelete']		= 'Nie może być skasowany';
$locale['PDP010'] = "Zapisz";
$locale['PDP011'] = "Proszę uzupełnij wszystkie obowiązkowe pola (*)!";
$locale['PDP012'] = "Kategoria";
$locale['PDP013'] = "Data";
$locale['PDP014'] = "Dostęp";
$locale['PDP015'] = "Zrzuty ekranu";
$locale['PDP016'] = "Admin";
$locale['PDP017'] = "Wyłączone";
$locale['PDP018'] = "Wersja";
$locale['PDP019'] = "Plik";
$locale['PDP020'] = "Strona";
$locale['PDP021'] = "Komentarz";
$locale['PDP022'] = "Nie Znaleziono Plików.";
$locale['PDP023'] = "To pobieranie jest zdeaktywowane i jest widoczne tylko przez admina lub właściciela. Admin może udostępnić pobieranie";
$locale['PDP024'] = "Plik Uszkodzony";
$locale['PDP025'] = "Opis";
$locale['PDP026'] = "Kliknij, aby pobrać";
$locale['PDP027'] = "Inne";
$locale['PDP028'] = "Zrzut ekranu";
$locale['PDP029'] = "Wielkość Pliku";
$locale['PDP030'] = "Licencja w pobieraniu";
$locale['PDP031'] = " włącz ";
$locale['PDP032'] = "Edytuj komentarz";
$locale['PDP033'] = "Proszę wybrać...";
$locale['PDP034'] = "Maksymalna wielkość pliku";
$locale['PDP035'] = "Wróć";
$locale['PDP036'] = "Idź do Download-Admin";
$locale['PDP037'] = "Przegląd";
$locale['PDP038'] = "Dodaj plik";
$locale['PDP039'] = "O mnie...";
$locale['PDP040'] = "Szukaj";
$locale['PDP041'] = "Wyłącz Bużki";
$locale['PDP042'] = array(
	1	=>	"Opis",
	2	=>	"Pliki",
	3	=>	"Zrzut ekranu",
	4	=>	"Różne",
	5	=>	"Wykonano",//FIXME
);
$locale['PDP043'] = "OK";
$locale['PDP044'] = "Przejdź do";
$locale['PDP045'] = "Następny";
$locale['PDP046'] = "Plik nie istnieje";
$locale['PDP047'] = "Asystent-Ładowanie";
$locale['PDP048'] = "Cześć!<p>Ten asystent poprowadzi cię przez wszystkie kroki aby utworzyć nowy plik.";
$locale['PDP049'] = "Wiadomość";
$locale['PDP050'] = "Zapisane!";
$locale['PDP051'] = "IP";
$locale['PDP052'] = "Ostatnia Aktualizacja";
$locale['PDP053'] = "Szczegóły";
$locale['PDP054'] = "Link";
$locale['PDP055'] = "ładowanie wyłączone.";
$locale['PDP056'] = "Maksymalnie 100 znaków";
$locale['PDP057'] = "Subskrypcje są wyłaczone.";
$locale['PDP058'] = "Brak";
$locale['PDP059'] = "Dodaj mnie";//FIXME
$locale['PDP060'] = "Usuń mnie";//FIXME
$locale['PDP061'] = "Subskrybentów";
$locale['pdp_latest_update']	= 'Aktualizowany';
$locale['pdp_locked'] = 'Zablokowany';
$locale['pdp_info'] = 'Informacje';
$locale['pdp_warning'] = 'Uwaga';
$locale['pdp_none'] = '[Brak]';
$locale['pdp_moderator'] = 'Moderator';
$locale['pdp_status'] = 'Status';

$locale['pdp_captcha'] = 'Powtórz kod';
$locale['pdp_wrong_captcha'] = 'Zły kod zabezpieczenia.';




// broken.php
$locale['PDP140'] = "Raport o uszkodzonym pliku";
$locale['PDP141'] = "Administrator został poinformowany o uszkodzonym pliku.";
//
$locale['PDP143'] = "Ten plik jest uszkodzony."."\n\nTwoje IP to %ip";
$locale['PDP144'] = "Raport";


// profile.php
$locale['PDP160'] = "Mój Profil";//FIXME
$locale['PDP161'] = "PHP-Fusion Profil";
$locale['PDP162'] = "Ukryj użytkownika";
$locale['PDP163'] = "Uszkodzony";
$locale['PDP164'] = "Moje Subskrypcje";


// search.php
$locale['PDP180'] = "Użyj powyższej formy, aby rozpocząć poszukiwania...";
$locale['PDP182'] = "Szukaj teksu";
$locale['pdp_downloads_found']	= "Znaleziono %d plików.";
$locale['pdp_search']		= 'Szukaj po';
$locale['pdp_search_type'] = array(
	'desc'	=> 'Rozszerzeniu',
	'user'	=> 'Użytkowniku',
);


// download.php (did.php)
$locale['PDP200'] = "Archiwum";
$locale['PDP201'] = "P O B I E R Z";
$locale['PDP202'] = "Głosy";
$locale['PDP203'] = "Zewnętrzna Licencja";
$locale['PDP204'] = "Nieznana Licencja";
$locale['PDP205'] = array (
	"1"	=>	"¦wietny!",
	"2"	=>	"Bardzo Dobry",
	"3"	=>	"Dobry",
	"4"	=>	"Średni",
	"5"	=>	"Słaby",
);
$locale['PDP206'] = "Głosuj";
//207
$locale['PDP208'] = "Brak głosów dla tego pliku.";
$locale['PDP209'] = "Odwołaj mój głos";
$locale['PDP210'] = "Mój głos";
$locale['PDP211'] = "Dodaj komentarz";
$locale['PDP212'] = "Brak komentarzy dla tego pliku.";
$locale['PDP213'] = "Głosy";
$locale['PDP214'] = "od";
$locale['PDP215'] = "Ta kategoria wymaga prawa dostępu ";
$locale['PDP216'] = "Zewnętrzne linki powiny zaczynać się od http://, https:// lub ftp://.";
$locale['PDP217'] = "URL";
$locale['PDP218'] = "FTP";
$locale['PDP219'] = "Załaduj";
$locale['PDP220'] = "Musisz zacząć od http://, https:// or ftp://.";
$locale['PDP221'] = "Wielkość zostanie określona automatycznie jeśli pozostanie puste.";
$locale['PDP222'] = "Sub-Kategorie";
$locale['PDP223'] = "Gość";
$locale['PDP224'] = "Ocena";

// pro_download_panel.php
$locale['PDP300'] = "Nowe Pliki";
$locale['PDP301'] = "Najlepszych 5 plików";


// upload_done.php
$locale['PDP320'] = "Gratulacje!";
$locale['PDP321'] = "Kliknij na link poniżej aby potwierdzić i wysyłać plik.";//FIXME
$locale['PDP322'] = "Potwierdź";


// error.php
$locale['PDP340'] = "Jesteś tu, ponieważ wystąpił błąd .";
$locale['PDP341'] = array(
	"-"		=> "Nieznany błąd",
	"access"	=> "Dostęp zabroniony!",
	"cats"		=> "Nie możesz dodać pliku, bo nie ma kategorii do zapisu.",
'missing_file'	=> 'File could not be found.',
);


// license.php
$locale['PDP360'] = "Zamknij";


// file.php
$locale['PDP400'] = "Akceptuje Licencje.";
$locale['PDP401'] = "Zacznij Pobieranie";
$locale['PDP402'] = "Proszę uszanuj licencję / prawa autorskie licencji zastrzeżone o użytkowaniu, redystrybucji i modyfikacjach paczki pobierania.";
$locale['PDP403'] = "Tak paczka jest opublikowana pod nieznaną licencją, która jest załączona do pobierania. Proszę przeczytaj przed użytkowaniem.";
$locale['PDP404'] = "Tak paczka jest opublikowana pod nieznaną licencją, która można zobaczyć pod adresem poniżej. Proszę przeczytaj przed użytkowaniem.";
$locale['pdp_license'] = 'Licencja';

$locale['pdp_copyright'] = 'Stworzony';
$locale['PDP406'] = "Proszę uszanuj prawa autorskie!";
$locale['PDP407']	= 'Musisz być zalogowany by móc pobrać plik.';

// admin/mod.php
$locale['PDP601'] = array(
	PDP_PRO_OFF	=> "Pobieranie dezaktywowane",
	PDP_PRO_NEW	=> "Pliki są dodawane w tej chwili",
	PDP_PRO_CHECK	=> "Dodane pliki muszą zostać sprawdzone przed aktywacją",
	PDP_PRO_DEL	=> "Pliki mogą być usunięte",
	'broken'	=> "Błędne łącze pobierania",
);
$locale['PDP602'] = "Wszystko jest przeprowadzone pomyślnie!";
$locale['pdp_check_files']	= 'Sprawdź pliki';
$locale['pdp_ill_files']	= 'Poniższe pliki nie mogą być odnalezione.';

// admin/settings.php
$locale['PDP700'] = "Ustawienia";
$locale['PDP701'] = "Tytuł";
$locale['PDP702'] = "Plików na Stronie";
$locale['PDP703'] = "Katalog Dla Plików";
$locale['PDP704'] = "Katalog Dla Screenów";
$locale['PDP705'] = "Prywatne Wiadomości";
$locale['PDP706'] = "Wyślij PW do właściciela pliku o komentarzach";
$locale['PDP707'] = "--wyłącz--";
$locale['PDP708'] = "Zmiany zostały zapisane!";//FIXME
$locale['PDP709'] = "Nie pokazuj ukryj / ograniczone kategorie";
$locale['PDP710'] = "PW o nowych plikach do";
$locale['PDP711'] = "PW o uszkodzonych plikach do";
$locale['PDP712'] = "Nie raportuj o uszkodzonych plikach kiedy";
$locale['PDP713'] = "Oddziel przecinkiem, bez spacji";
$locale['PDP714'] = "Przykład: jpg,jpeg,gif,png";
$locale['PDP715'] = "Przykład: zip,rar,tar.gz,exe";
$locale['PDP716'] = "Maksymalna wielkość pliku";
$locale['PDP717'] = "W Bajtach";
$locale['PDP718'] = "Raport zmian ustawiony dla pobierania";
$locale['PDP719'] = "Przykład: 1048576 Bytes = 1 MByte";
$locale['PDP720'] = "Pryzkad: 2097152 Bytes = 2 MByte";
$locale['PDP721'] = "Użytkownicy mogą edytować pliki";
$locale['PDP722'] = "Dozwolone Rozszerzenia";
$locale['PDP723'] = "Dostęp do Download";
$locale['PDP725'] = "Uszkodzone-Pobieranie-Tekst";	//FIXME-better name
$locale['PDP726'] = "Dozwolone komentarze";
$locale['PDP727'] = "Dozwolone głosowanie";
$locale['PDP728'] = "poziom użytkownika od";
$locale['PDP729'] = array(//FIXME
	0	=> "Gość",
	101	=> "Użytkownik",
	102	=> "Administrator",
	103	=> "Super Administrator",
);
$locale['PDP730'] = "Raporty";
$locale['PDP731'] = "0-255: 0 nieograniczone";
$locale['PDP732'] = array(
	"%ip"	=> "IP Gości",
);
$locale['PDP733'] = "Jak wiele wpisów czeka przed wysyłaniem PW do admina?";
$locale['PDP734'] = "Ranga: 0-255: 0 znaczy nigdy";
$locale['PDP735'] = "Ogólne";
$locale['PDP736'] = "Kto może wysyłać wiadomość o uszkodzonym pliku?";
$locale['PDP737'] = "Jak długo ma być winietka NEW?";
$locale['PDP738'] = "Dni";
$locale['PDP739'] = "Skórka";
$locale['PDP740'] = "Standard";
$locale['PDP741'] = "Użytkownik może ukryć swój login";
$locale['PDP742'] = "Panel boczny";
$locale['PDP743'] = "Ostatnio pobierane";
$locale['PDP744'] = "Najlepsze pliki";
$locale['PDP745'] = "Moderator Grupy";
$locale['PDP746'] = "Moderatorzypowinni zweryfikować dodane przed udostępnieniem";
$locale['PDP747'] = "Szer x Wys";
$locale['PDP748'] = "0x0 wyłącza tę możliwość";
$locale['PDP749'] = "Zbyt duże obrazy będą skalowane do tej wielkości (muszą być zapisane jako JPEG). Inne zostaną odrzucone.";
$locale['PDP750'] = "Dozwolone subskrypcje";
//
$locale['PDP760'] = "Domyślna liczba zrzutu ekranu";
$locale['PDP761'] = "Każde pobieranie może być ustawione oddzielnie";
$locale['PDP762'] = 'Niemożliwe do pobrania';
$locale['PDP763'] = 'Więcej ustawień w kategorii...';
$locale['pdp_dir_base']		= 'ściezka do katalogu...';
$locale['pdp_may_be_ignored']	= 'Skórka może odrzucić to ustawienie';
$locale['pdp_profile_access']	= 'Dostęp do profilu usera';


// admin/downloads.php
$locale['PDP751'] = "Wszystko";
$locale['PDP752'] = "Nazwa zaczyna się z";
$locale['PDP753'] = "Nieaktywowane pliki";
$locale['PDP754'] = "Uszkodzone";
$locale['PDP755'] = 'Sprawdź';

// admin/db_update.php
$locale['PDP780'] = "Uaktualnij Bazę Danych";
$locale['PDP781'] = "Uaktualnienie Bazy Danych jest dostępne";
$locale['PDP782'] = "Proszę upewnij się, że wszystkie MySQL polecenia powiodły się! Jeżeli to nie jest przypadek, proszę przedstawić raport i dołączyć to powiadomienie";
$locale['PDP783'] = "Kliknij na odpowiendi przycisk poniżej aby zacząć uaktualnianie!";
$locale['PDP784'] = "Rozpoczęto Uaktualnianie...";
$locale['PDP785'] = "Następne MySQL polecenia będą wykonane";
$locale['PDP786'] = "Błędy podczas uaktualnienia";
$locale['PDP787'] = "Błąd";
$locale['PDP788'] = "Nie";
$locale['PDP789'] = "Nie możesz uaktualnić tej wersji. Potrzebujesz w ostatniej wersji";
$locale['PDP790'] = "Udane Uaktualnienie!";


// admin/licenses.php
$locale['PDP800'] = "Licencje";
$locale['PDP801'] = "Wielkość";
$locale['PDP802'] = "Brak utworzonych licencji.";
$locale['pdp_html_allowed'] = 'HTML dozwolony';

// admin/cats.php
$locale['PDP820'] = "Kategorie";
$locale['PDP821'] = "Kategoria Główna";
$locale['PDP822'] = "Sortowanie";
$locale['PDP823'] = array(
	'name'	=> 'Nazwa',
	'ctime'	=> 'Stworzone w',
	'mtime'	=> "Aktualizacjaa",
	'count'	=> "Liczba plików",
);
$locale['PDP824'] = array(
	'ASC'	=> 'Do góry',
	'DESC'	=> 'W dół',
);
$locale['PDP825'] = "Brak utworzonych kategorii.";
$locale['PDP826'] = "Pobieranie-Dostęp";
$locale['PDP827'] = "Dodawanie-Dostęp";
$locale['PDP828'] = "Pzycja";
$locale['PDP829'] = "Widok";


// admin/admin.php
$locale['PDP841'] = "Dodawanie obrazu";
$locale['PDP842'] = "Dodawanie pliku";
$locale['PDP843'] = "Nowo dodane";
$locale['PDP844'] = "Katalog nie do odczytu(Chmod).";	// FIXME
$locale['PDP845'] = "Katalog nie do zapisu(Chmod).";	// FIXME
$locale['PDP846'] = "Pobieranie z jednej kategorii";
$locale['PDP847'] = "Pobieranie z jednej licencji";
$locale['PDP848'] = "Uszkodzone pobierania";
$locale['PDP849'] = "Nie mógł zostać naprawiony";
$locale['PDP850'] = "Zbyt duży";
$locale['PDP851'] = "Utworzony na";
$locale['PDP852'] = "Przed aktywacją pobierania mogą być usunięte";
$locale['PDP853'] = "Przed aktywacją pobierania muszą zostać sprawdzone";
$locale['PDP854'] = "Maksymalna wielkość ograniczona php.ini";
$locale['pdp_obsolete'] = 'Proszę skasować poniższe pliki:';

// admin/import.php
$locale['PDP860'] = "Import";
$locale['PDP861'] = "Import Wykonany!";
$locale['PDP862'] = "Rozpoczęcie Importowania...";
$locale['PDP863'] = "Po prawej stronie widzisz Twój PHP-Fusion downloads. Po prawej możesz widzieć wybór gdzie i jak zapisać go do Professional Download System";//FIXME
$locale['PDP864'] = "Już istnieje";
$locale['PDP865'] = "Profesjonalny System Pobierania";
$locale['PDP866'] = "Błąd";


// admin/del_download.php
$locale['PDP880'] = "Usuń Plik";
$locale['PDP881'] = "Próbujesz usunąć plik";
$locale['PDP882'] = "Właściciel";
$locale['PDP883'] = "Kasowanie...";
$locale['PDP884'] = "Plik usunięty!";
$locale['PDP885'] = "Pliki nie mogą zostać usunięte, ponieważ katalog %s jest nie zapisywalny.";
$locale['PDP886'] = "Wybrane pliki zostaną usunięte";
$locale['PDP887'] = "Naprawdę usunąć?";
$locale['PDP888'] = "Jestem pewien - usuń!";


// admin/misc.php
$locale['pdp_misc']			= 'Różne';
$locale['pdp_reset_all_visitors']	= 'Zresetuj wszystkie liczniki gości.';
$locale['pdp_done']			= 'Wykonaj!';


// MISC
$locale['PDP902']['subject'] = array(
	PDP_PM_COMMENT		=> "PDP: Nowy komentarz",
	PDP_PM_NEW		=> "PDP: Nowy plik",
	PDP_PM_BROKEN		=> "PDP: plik jest uszkodzony",
	PDP_PM_CHANGES		=> "PDP: Plik został uaktualniony",
	PDP_PM_CHECK		=> "PDP: Plik musi być sprawdzony",
	PDP_PM_ACCEPTED		=> "PDP: Twój plik został dodany.",
	PDP_PM_SUBSCRIBERS	=> "PDP: Zmiany w download.",
);
$locale['PDP902']['body'] = array(
	PDP_PM_COMMENT		=> "Nowy komentarz został wysłany.",
	PDP_PM_NEW		=> "Nowy plik został wysłany.",
	PDP_PM_BROKEN		=> "To pobieranie jest w raporcie o uszkodzeniu.",
	PDP_PM_CHANGES		=> "Pobieranie zostało uaktualnione.",
	PDP_PM_CHECK		=> "Pobieranie zostało uaktualnione czeka na sprawdzenie",
	PDP_PM_ACCEPTED		=> "Admin zatwierdził Twój plik",
	PDP_PM_SUBSCRIBERS	=> "Twoja subskrypcja pliku została dodana.",
);

$locale['PDP903'] = array(
	PDP_EV_INVALID		=> "Nieznane zdarzenie!",
	PDP_EV_NEW		=> "Nowe plik",
	PDP_EV_DESC		=> "Dopisany opis",
	PDP_EV_FILEFTP		=> "Plik-FTP",
	PDP_EV_FILEURL		=> "Plik-URL",
	PDP_EV_FILEUPLOAD	=> "Plik-Upload",
	PDP_EV_DELFILE		=> "Usuwanie Plik",
	PDP_EV_DELPIC		=> "Usuwanie Obraz",
	PDP_EV_PICUPLOAD	=> "Obraz-Upload",
	PDP_EV_PICFTP		=> "Obraz-FTP",
	PDP_EV_STATUS		=> "Zmieniono status",
	PDP_EV_CHEAT		=> "Oszust :)",
	PDP_EV_CLEARLOG		=> "Log-Entries deleted",
	PDP_EV_RESETBROKEN	=> "Zresetowano raport o błędnych linkach",
	PDP_EV_RESETVISITORS	=> 'Liczniki gości zresetowano',
	PDP_EV_PICDESC		=> "Opis obrazu zmieniono",
	PDP_EV_PICURL		=> "External image URL",
	PDP_EV_PICSIZE		=> "Szer/Wys zbyt duża",
	PDP_EV_SUBSCRIBE	=> "Subskrypcja",
	PDP_EV_NEWCOMMENT	=> "Nowy komentarz",
	PDP_EV_BROKEN		=> "Raport o uszkodzonym linku",
	PDP_EV_NEWDOWNLOAD	=> "Nowe pobieranie",
	PDP_EV_CHECK		=> "Wymuszono sprawdzenie",
	PDP_EV_PUBLISHED	=> "Plik opublikowany",
);

$locale['PDP904'] = array(
	PDP_PRO_ON	=> "Online",
	PDP_PRO_OFF	=> "Offline",
	PDP_PRO_NEW	=> "Tworzenie...",//FIXME
	PDP_PRO_DEL	=> "kasowanie...",
	PDP_PRO_CHECK	=> "Sprawdzanie...",
);

$locale['pdp_pro_status_long'] = array(
	PDP_PRO_OFF	=> 'Ten plik jest deaktywowany. jeśli zakończysz zmiany odwiedz menu <a href="edit_misc.php?did=%s">Rozne</a> i poinformuj admina, aby to sprawdził lub prosto opublikuj plik (jeśli opcja dostępna).',
	PDP_PRO_NEW	=> 'Ten plik jest aktualnie tworzony.',
	PDP_PRO_DEL	=> 'Te pliki powinny zostać skasowane.',
	PDP_PRO_CHECK	=> 'Te pliki potrzebują być sprawdzone.',
);

/****************************************************************************
 * EDIT
 */
$locale['PDP900'] = array(
	0		=> "OK",
	PDP_EIMG	=> "Błąd-Obrazka: POPRAW",
	PDP_EACCESS	=> "Dostęp zabroniony!",
	PDP_EURL	=> "Błędny zapis URL. ".$locale['PDP220'],
	PDP_EFILE	=> "Brak pliku.",
	PDP_EUPDIR	=> "Twój katalog downloads nie ma uprawnień do zapisu. Sprawdź ustawienia.",
	PDP_ECATS	=> "Nie mozesz dodać pliku ponieważ nie ma tu kategorii do której mozesz zapisać.",
	PDP_EEXT	=> "Niedozwolony rodzaj rozszerzenia pliku.",
	PDP_ESIZE	=> "Zbyt duży plik.",
	PDP_EIMGVERIFY	=> "Obrazek nie został dopuszczony przez (verify_image())!",
	PDP_EUPDATED	=> "Nie mzesz zmienić statusu poniewaz w tym czasie pliki były modyfikowane",
	PDP_EMAXREACHED	=> "Maksymalna liczba przekroczona.",
	//
	PDP_EUPLOAD	=> "BŁˇD w czasie ładowania.",
	PDP_EUPLOAD1	=> "Plik jest większy od (upload_max_filesize w ustawieniach serwera php.ini)",
	PDP_EUPLOAD2	=> "Plik jest większy od(od ustawień systemu MAX_FILE_SIZE)",
	PDP_EUPLOAD3	=> "Nie mogę załadować pliku w jednej części.",
	PDP_EUPLOAD4	=> "Nie uplodowano pliku.",
	PDP_EUPLOAD5	=> "",
	PDP_EUPLOAD6	=> "Nie znaleziono ścieżki TMP.",
	PDP_EUPLOAD7	=> "Nie zapisano.",
);

// edit_files.php
$locale['PDP120'] = "Żadne pliki nie są dostępne";
//
$locale['PDP123'] = "Obszar ten jest tylko dla wstecznej kompatybilności. Proszę uzyć informacji z tego obszaru i dodać powyższy plik. Po wszystkim , usuń tę informację.";
//
$locale['PDP125'] = "Pobrań";
$locale['PDP126'] = "Puste pole";
$locale['PDP127'] = "Zewnętrzny Download";
$locale['PDP128'] = "Edytuj pliki";
$locale['PDP129'] = "źródło";
$locale['PDP130'] = "Czy chcesz usunąć plik z dysku?";
$locale['PDP131'] = "Tak";
$locale['PDP132'] = "Nie";
$locale['PDP133'] = "lub";
$locale['PDP134'] = "Anuluj";
$locale['pdp_new_files']	= 'Nowe pliki';

// edit_pics.php
$locale['PDP150'] = "Zbyt duże scriny będą przeskalowane do wielkości.";
$locale['PDP151'] = "Możesz dodać %s zrzutów ekranu we wszystkich.";
$locale['PDP152'] = "Nie możesz dodać więcej zrzutów ekranu niż %s .";


// edit_comments.php
$locale['PDP380'] = "IP";

// edit_desc.php
$locale['PDP101'] = "Własna / Inna Licencja";
$locale['PDP102'] = "Edytuj plik";
$locale['PDP103'] = "Nowy plik";
$locale['PDP104'] = "Prawa:";
$locale['PDP105'] = "Licencja";
$locale['PDP106'] = "Zobacz licencje";//FIXME
$locale['PDP107'] = "Licencja-URL";
$locale['PDP108'] = "Przegląd";
$locale['PDP109'] = "Maksymalnie 255 znaków";

// edit_misc.php
$locale['PDP501'] = "Ukryj login";
$locale['PDP502'] = "Sprawdź pobieranie";
$locale['PDP503'] = "Wprowadzone zmian będą sprawdzone przez administratora. Tylko on może je zatwierdzić.";
$locale['PDP504'] = "Idź!";
$locale['PDP505'] = "Udostępnianie pobierania";


// edit_admin.php
$locale['PDP450'] = "Admin/Log";
$locale['PDP451'] = "Brak Dostępu";
$locale['PDP452'] = "Status";
$locale['PDP453'] = "Ustawienia";
$locale['PDP454'] = "Zapisy Raportu";
$locale['PDP455'] = "Raport o uszkodzonym pobieraniu.";
$locale['PDP456'] = "Reset";
$locale['PDP457'] = "Download Konto";
$locale['PDP458'] = "Zrzut ekranu od pliku";
$locale['pdp_reset_visitors']	= 'Licznik gości';
$locale['pdp_dir_files']	= 'ścieżka do katalogu upladu';

$locale['pdp_errors'] = array(
	'no_cat'	=> 'Nie wybrano kategorii',
	'no_name'	=> 'Brak nazwy',
);

?>